Bug 1066382 (CVE-2013-4542) - CVE-2013-4542 qemu: virtio-scsi: buffer overrun on invalid state load
Summary: CVE-2013-4542 qemu: virtio-scsi: buffer overrun on invalid state load
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-4542
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1095739 1095740 1095741 1095742 1096097 1102579 1102580 1110194 1110284 1110288 1133850
Blocks: 1036654 1110626 1133827
TreeView+ depends on / blocked
 
Reported: 2014-02-18 10:11 UTC by Petr Matousek
Modified: 2019-09-29 13:13 UTC (History)
45 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-22 11:21:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0674 normal SHIPPED_LIVE Moderate: rhev-hypervisor6 3.4.0 security, bug fix, and enhancement update 2014-06-09 18:35:12 UTC
Red Hat Product Errata RHSA-2014:0743 normal SHIPPED_LIVE Moderate: qemu-kvm security and bug fix update 2014-06-11 00:14:13 UTC
Red Hat Product Errata RHSA-2014:0744 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-06-11 00:14:07 UTC
Red Hat Product Errata RHSA-2014:0888 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-07-24 19:38:25 UTC
Red Hat Product Errata RHSA-2014:0927 normal SHIPPED_LIVE Moderate: qemu-kvm security and bug fix update 2014-07-23 20:15:13 UTC
Red Hat Product Errata RHSA-2014:1268 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-09-22 08:00:39 UTC

Description Petr Matousek 2014-02-18 10:11:04 UTC
Michael S. Tsirkin writes:
hw/scsi/scsi-bus.c invokes load_request.

 virtio_scsi_load_request does:
    qemu_get_buffer(f, (unsigned char *)&req->elem, sizeof(req->elem));

this probably can make elem invalid, for example, make in_num or out_num
out-of-bounds, later leading to buffer overrun.

An user able to alter the savevm data (either on the disk or over the wire
during migration) could use this flaw to to corrupt QEMU process memory on
the (destination) host, which could potentially result in arbitrary code
execution on the host with the privileges of the QEMU process.

Upstream fix:
-------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=3c3ce981423e0d6c18af82ee62f1850c2cda5976

Comment 1 Petr Matousek 2014-02-18 11:28:11 UTC
Statement:

This issue does not affect the versions of kvm package as shipped with
Red Hat Enterprise Linux 5.

This issue does affect the versions of qemu-kvm package as shipped with
Red Hat Enterprise Linux 7.

Comment 4 Prasad J Pandit 2014-05-08 13:10:28 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1095740]

Comment 6 Fedora Update System 2014-05-16 09:59:27 UTC
qemu-1.6.2-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2014-06-09 14:37:07 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0674 https://rhn.redhat.com/errata/RHSA-2014-0674.html

Comment 9 Murray McAllister 2014-06-10 07:42:01 UTC
Acknowledgements:

The issues were discovered as part of the state loading code audit performed by Michael S. Tsirkin of Red Hat, Anthony Liguori and Michael Roth.

Comment 10 errata-xmlrpc 2014-06-10 20:19:04 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0744 https://rhn.redhat.com/errata/RHSA-2014-0744.html

Comment 11 errata-xmlrpc 2014-06-10 20:19:55 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0743 https://rhn.redhat.com/errata/RHSA-2014-0743.html

Comment 15 errata-xmlrpc 2014-07-23 16:16:03 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0927 https://rhn.redhat.com/errata/RHSA-2014-0927.html

Comment 17 errata-xmlrpc 2014-07-24 15:39:01 UTC
This issue has been addressed in following products:

  OpenStack 4 for RHEL 6
  OpenStack 3 for RHEL 6

Via RHSA-2014:0888 https://rhn.redhat.com/errata/RHSA-2014-0888.html

Comment 19 errata-xmlrpc 2014-09-22 04:01:33 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7

Via RHSA-2014:1268 https://rhn.redhat.com/errata/RHSA-2014-1268.html


Note You need to log in before you can comment on or make changes to this bug.